com.taosdata.jdbc.rs

## Class RestfulDriver

- java.lang.Object
- - com.taosdata.jdbc.AbstractDriver
  - - com.taosdata.jdbc.rs.RestfulDriver

All Implemented Interfaces:
  Driver

Deprecated.
Use WebSocket connection instead.

    @Deprecated
    public class RestfulDriver
    extends AbstractDriver

### Field Summary

Fields
`static String` `URL_PREFIX` Deprecated.

### Constructor Summary

Constructors
Constructor and Description
`RestfulDriver()` Deprecated.

### Method Summary

All Methods Instance Methods Concrete Methods Deprecated Methods
`boolean` `acceptsURL(String url)` Deprecated.
`Connection` `connect(String url, Properties info)` Deprecated.
`int` `getMajorVersion()` Deprecated.
`int` `getMinorVersion()` Deprecated.
`Logger` `getParentLogger()` Deprecated.
`DriverPropertyInfo[]` `getPropertyInfo(String url, Properties info)` Deprecated.
`boolean` `jdbcCompliant()` Deprecated.

### Methods inherited from class com.taosdata.jdbc.AbstractDriver

`getPropertyInfo, getWSConnection`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### URL_PREFIX

    public static final String URL_PREFIX

Deprecated.

See Also:
  Constant Field Values

### Constructor Detail

#### RestfulDriver

    public RestfulDriver()

Deprecated.

### Method Detail

#### connect

    public Connection connect(String url,
                              Properties info)
                       throws SQLException

Deprecated.

Throws:
  `SQLException`

#### acceptsURL

    public boolean acceptsURL(String url)
                       throws SQLException

Deprecated.

Throws:
  `SQLException`

#### getPropertyInfo

    public DriverPropertyInfo[] getPropertyInfo(String url,
                                                Properties info)
                                         throws SQLException

Deprecated.

Throws:
  `SQLException`

#### getMajorVersion

    public int getMajorVersion()

Deprecated.

#### getMinorVersion

    public int getMinorVersion()

Deprecated.

#### jdbcCompliant

    public boolean jdbcCompliant()

Deprecated.

#### getParentLogger

    public Logger getParentLogger()
                           throws SQLFeatureNotSupportedException

Deprecated.

Throws:
  `SQLFeatureNotSupportedException`